Remove CM_ONESHOT-specific logic in flock failure checks

Now that we're in a subshell and acting asynchronously, this doesn't do
anything different.
This commit is contained in:
Chris Down 2018-02-19 15:41:11 +00:00
parent 8906e1d96c
commit 728d242d3c

View file

@ -125,14 +125,8 @@ while true; do
{
if ! flock -x -w "$lock_timeout" "$lock_fd"; then
if (( CM_ONESHOT )); then
printf 'ERROR: %s\n' 'Timed out waiting for lock' >&2
exit 1
else
printf 'ERROR: %s\n' \
'Timed out waiting for lock, skipping this run' >&2
continue
fi
fi
for selection in clipboard primary; do